=== debian/changelog ===
dipy (0.5.0-3) unstable; urgency=low

  * Added patch up_explicit_cdefs_inits to prevent FTBFS with cython >= 0.15

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Sep 2011 15:37:06 -0400

dipy (0.5.0-2) unstable; urgency=low

  * Upload to unstable
  * Fixed binary-arch build -- extensions were not installed. Thanks Jiří
    Keller for the report
  * Fixed ${Python:depends} -> ${python:Depends} (thanks Lintian)
  * Boosted policy to 3.9.2 (no changes are due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jul 2011 13:55:03 -0400

dipy (0.5.0-1) experimental; urgency=low

  * Initial release (Closes: #610347)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 09 Feb 2011 17:38:53 -0500

dipy (0.5.0~dev20110117-1~pre1) UNRELEASED; urgency=low

  * Initial packaging.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Jan 2011 15:13:17 -0500
