## dipy 0.6.0

=== debian/changelog ===
dipy (0.6.0-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 15 Apr 2013 16:48:57 -0400

dipy (0.6.0-1) experimental; urgency=low

  * New upstream release
    - includes patches/up_explicit_cdefs_inits (dropped)
  * debian/watch
    - updated to fetch from github's tags
  * debian/changelog
    - updated years
  * debian/source/options
    - added to ignore generated COMMIT_INFO.txt
  * debian/rules
    - export http_proxy=http://127.0.0.1:9 to prevent any downloads
    - point PATH to the installed bin/ for tests to test example scripts
    - added cythonization so we could build backports with cython < 0.17.3
  * debian/control
    - provide X-Python-Version: >= 2.6 just to avoid warnings
    - boosted policy to 3.9.4 (no further changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Apr 2013 11:57:30 -0400
