=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support,
 			   python-numpy,
@@ -11,14 +12,15 @@
 			   python-sphinx (>= 1.0),
 			   python-nose,
 			   python-nibabel
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://nipy.org/dipy
 Vcs-Git: git://github.com/neurodebian/dipy.git
 Vcs-Browser: http://github.com/neurodebian/dipy
+X-Python-Version: >= 2.6
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -47,7 +49,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -60,7 +62,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance
