=== debian/rules ===
--- 
+++ 
@@ -5,21 +5,62 @@
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
+ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
+export  http_proxy=http://127.0.0.1:9/
+endif
+
 # default Python
 PYTHON=$(shell pyversions -d)
-PYVER=$(shell pyversions -d -v)
+PYVERS = $(shell pyversions -vr)
+PYVER = $(shell pyversions -vd)
+PY3VERS = $(shell py3versions -vr)
+PY3VER = $(shell py3versions -vd)
 
 srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
 debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
 upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
+MIN_CYTHONVER = 0.17.3
+
 %:
 	dh --buildsystem=python_distutils $@
+
+clean_generated:
+	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f
+	rm -f pyx-stamps
+
+_cythonize%:
+	debian/rules clean_generated # force removal of previous copies
+	make build-stamp-source && \
+	D=debian/cythonized-files$(*:2=) && \
+		git rm -rf $$D; \
+		find dipy/ -name *.c | while read f; do \
+			grep -q 'Generated by Cython' "$$f" || continue; \
+			mkdir -p "$$D/$$(dirname $$f)"; \
+			cp "$$f" "$$D/$$(dirname $$f)"; \
+			git add -f "$$D/$$f"; \
+		done; \
+		cp pyx-stamps $$D/; \
+		echo "$(upver)" >| $$D/VERSION; \
+		git add -f $$D/VERSION $$D/pyx-stamps
+
+
+_uncythonize%:
+	echo "D: HERE"
+	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
+	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
+	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
+		echo "I: Using pre-Cython-ed files for Python $*"; \
+		cd debian/cythonized-files$$PY/ ; \
+		find . -name *.c | while read f; do cp $$f ../../$$f; done; \
+		cp pyx-stamps ../../; } || :
+
+cythonize: _cythonize2 # _cythonize3
 
 override_dh_auto_test:
 	: # Do not test just after build, lets install and then test
 
-override_dh_auto_build:
+override_dh_auto_build: _uncythonize2
 	dh_auto_build
 	echo "backend : Agg" >| build/matplotlibrc
 
@@ -46,9 +87,10 @@
 	cd build; \
 	for PYTHON in $(shell pyversions -r); do \
 		echo "I: Running Dipy unittests using $$PYTHON"; \
+        PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
 		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests dipy; \
+			$$PYTHON /usr/bin/nosetests -sv dipy; \
 	done
 endif
