## dipy 0.7.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
 distances.so: ${PKGDIR}/tracking/distances.pyx
 
-	python setup.py build_ext --inplace
+	$(PYTHON) setup.py build_ext --inplace
 
 # Phony targets for cleanup and similar uses
 
@@ -45,6 +45,7 @@
 	rm -rf build
 	rm -rf docs/_build
 	rm -rf docs/dist
+	rm -rf dipy/dipy.egg-info
 
 distclean: clean
 	rm -rf dist
@@ -55,6 +56,10 @@
 
 %.html : %.pyx
 	cython -a $<
+
+# Check for files not installed
+check-files:
+	$(PYTHON) -c 'from nisext.testers import check_files; check_files("dipy")'
 
 # Print out info for possible install methods
 check-version-info:
@@ -72,9 +77,11 @@
 	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("dipy")'
 
 source-release: clean
-	python -m compileall .
-	python setup.py sdist --formats=gztar,zip
+	$(PYTHON) -m compileall .
+	$(PYTHON) setup.py sdist --formats=gztar,zip
 
 binary-release: clean
-	python setup_egg.py bdist_egg
+	$(PYTHON) setup_egg.py bdist_egg
 
+build-stamp-source:
+	$(PYTHON) -c 'import cythexts; cythexts.build_stamp_source()'
