=== debian/changelog ===
dipy (0.7.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix DEP5 format specification
  * debian/control:
     - Set Vcs fields to anonscm.debian.org
     - Priority: optional
  * debian/blends, debian/upstream/metadata: Move publication data
    where they belong to

  [ Yaroslav Halchenko ]
  * Exclude peaksFromModelParallel from testing for now due to obscure
    permission issue

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Aug 2014 10:18:32 -0400

dipy (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches
    - dropping deb_interpreter_for_scripts_tests, changeset* patches --
      adopted upstream
    - adding up_AE_test_fixup_i386 to overcome test failures on 32bit
  * debian/control
    - boost policy to 3.9.5 (no further changes due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Jan 2014 09:41:26 -0500

dipy (0.6.0-2) unstable; urgency=low

  * Upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Oct 2013 21:25:04 -0400
