## dipy 0.8.0

=== Makefile ===
--- 
+++ 
@@ -19,17 +19,28 @@
 all: ext cython-html test
 
 ext: recspeed.so propspeed.so vox2track.so \
-    distances.so
+    distances.so streamlinespeed.so denspeed.so \
+    vec_val_sum.so quick_squash.so vector_fields.so \
+    crosscorr.so sumsqdiff.so expectmax.so bundlemin.so
 
 test: ext
 	nosetests .
 
-cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html 
+cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html
 
 recspeed.so: ${PKGDIR}/reconst/recspeed.pyx
 propspeed.so: ${PKGDIR}/tracking/propspeed.pyx
 vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
 distances.so: ${PKGDIR}/tracking/distances.pyx
+streamlinespeed.so: ${PKGDIR}/tracking/streamlinespeed.pyx
+denspeed.so: ${PKGDIR}/denoise/denspeed.pyx
+vec_val_sum.so: ${PKGDIR}/reconst/vec_val_sum.pyx
+quick_squash.so: ${PKGDIR}/reconst/quick_squash.pyx
+vector_fields.so: ${PKGDIR}/align/vector_fields.pyx
+crosscorr.so: ${PKGDIR}/align/crosscorr.pyx
+sumsqdiff.so: ${PKGDIR}/align/sumsqdiff.pyx
+expectmax.so: ${PKGDIR}/align/expectmax.pyx
+bundlemin.so: ${PKGDIR}/align/bundlemin.pyx
 
 	$(PYTHON) setup.py build_ext --inplace
