=== debian/changelog ===
dipy (0.8.0-1~nd12.04+1) precise; urgency=low

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jan 2015 23:59:13 -0500

dipy (0.8.0-1) experimental; urgency=medium

  * New upstream release
  * debian/{control,rules}
    - migrated from using python-support
  * debian/copyright
    - various small tune ups to satisfy format

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Jan 2015 17:07:25 -0500

dipy (0.7.1+git1225-gb048445-1) UNRELEASED; urgency=medium

  * Fresh upstream snapshot
  * debian/control
    - added libgomp1 to b-depends to facilitate build/testing OPENMP code
    - policy boost to 3.9.6
  * debian/patches -- slight adjustments
  * debian/rules
    - clean away Cython generated files

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Dec 2014 22:34:46 -0500
