=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: dipy
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support,
-			   python-numpy,
-			   python-scipy,
-			   cython (>= 0.13),
-			   python-matplotlib,
-			   python-sphinx (>= 1.0),
-			   python-nose,
-			   python-nibabel
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
+               python-numpy,
+               python-scipy,
+               cython (>= 0.13),
+               python-matplotlib,
+               python-sphinx (>= 1.0),
+               python-nose,
+               python-nibabel,
+               libgomp1,
+Standards-Version: 3.9.6
 Homepage: http://nipy.org/dipy
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
@@ -19,7 +21,7 @@
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -48,7 +50,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -61,7 +63,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance
