=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PACKAGE_NAME = python-dipy
-PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
+PACKAGE2_NAME = python-dipy
+PACKAGE_ROOT_DIR = debian/${PACKAGE2_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
 ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
@@ -20,14 +20,17 @@
 debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
 upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
-MIN_CYTHONVER = 0.17.3
+MIN_CYTHONVER = 0.21
 
 %:
-	dh --buildsystem=python_distutils $@
+	dh --buildsystem=python_distutils $@  --with python2
 
 clean_generated:
 	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f
 	rm -f pyx-stamps
+
+override_dh_auto_clean: clean_generated
+	dh_auto_clean $@
 
 _cythonize%:
 	debian/rules clean_generated # force removal of previous copies
@@ -94,17 +97,17 @@
 	done
 endif
 
-override_dh_pysupport:
-	: # I: Move libraries into the -lib and -lib-dbg packages
-	find $(PACKAGE_ROOT_DIR)/ -iname *.so -delete || :  # remove .so from indep pkg if present
-	find $(INSTALL_PATH)/ -iname *.so | \
-	  while read so; do \
-	    d=$$(dirname $$so); \
-		if [ $${so%_d.so} = $${so} ]; then suf=""; else suf="-dbg"; fi; \
-	    d=$$(echo $$d | sed -e "s,$(INSTALL_PATH)/,$(PACKAGE_ROOT_DIR)-lib$$suf/,g"); \
-	    mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
-	  done
-	dh_pysupport
+## remove .so libraries from main package, and call dh_numpy*
+## while removing 2 if not present
+_dh_python%:
+	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
+	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
+	fi
+	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
+	dh_python$*
+
+## "Instantiate" both rules so dh sees them
+override_dh_python2: _dh_python2
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)
