## dipy 0.9.2

=== doc/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
+	@echo "  api       to make the auto-generated API files"
 	@echo "  dirhtml   to make HTML files named index.html in directories"
 	@echo "  pickle    to make pickle files"
 	@echo "  json      to make JSON files"
@@ -33,9 +34,17 @@
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
-clean: examples-clean
+clean: api-clean examples-clean
 	-rm -rf _build/*
 	-rm *-stamp
+
+api-clean:
+	rm -rf reference/*.rst
+
+api:
+	@mkdir -p reference
+	$(PYTHON) tools/build_modref_templates.py dipy reference
+	@echo "Build API docs...done."
 
 examples-clean:
 	-cd examples_built && rm -rf *.py *.rst *.png fig
@@ -51,7 +60,7 @@
             --project-url=http://nipy.org/dipy \
             --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
 
-html: rstexamples html-after-examples
+html: api rstexamples html-after-examples
 	# build full docs including examples
 
 html-after-examples:
