=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dipy
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
                python-numpy,
@@ -17,11 +16,11 @@
 Homepage: http://nipy.org/dipy
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 
 Package: python-dipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -50,7 +49,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -63,7 +62,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance
