=== debian/changelog ===
dipy (0.10.1-1) unstable; urgency=medium

  [ Michael Hanke ]
  * Upload to unstable (Closes: #785991).
  * Update maintainer email.
  * Modify build to enable reproducible build (Closes: #789747). Patch is
    courtesy of Juan Picca <jumapico@gmail.com>.

  [ Yaroslav Halchenko ]
  * Fresh upstream release
  * debian/patches/up_numpy_compat-PR858.patch - for compatibility with numpy
    1:1.11.0~b2 

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Feb 2016 20:04:07 -0500
