## dipy 0.11.0

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
numpy>=1.7.1
scipy>=0.9
cython>=0.18
nibabel>=1.2
