=== debian/changelog ===
dipy (0.12.0-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 10 Jul 2017 21:40:31 -0400

dipy (0.12.0-1) unstable; urgency=medium

  * Fresh upstream release
    - upstream requires cython >= 0.25.1 for recythonization

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jul 2017 23:19:57 -0400
