=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
                python-numpy (>= 1:1.7.1~),
@@ -20,7 +21,7 @@
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy (>= 1:1.7.1~), python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -56,7 +57,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python library for the analysis of diffusion MRI datasets -- extensions
@@ -69,7 +70,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance
